Robot Simulator of the Robotics Group for Self-Organization of Control: TmpDisplayItem Class Reference

# TmpDisplayItem Class Reference

holding a temporary graphical item More...

`#include <tmpprimitive.h>`

Inherits lpzrobots::TmpObject.

Collaboration diagram for TmpDisplayItem:
[legend]

List of all members.

## Public Member Functions
| TmpDisplayItem (OSGPrimitive *p, const Pose &pose, const Color &color, OSGPrimitive::Quality quality=OSGPrimitive::Middle)
| creates a new item from the given primitives and initializes it.
| TmpDisplayItem (OSGPrimitive *p, const Pose &pose, const std::string &colorname, float alpha=1.0, OSGPrimitive::Quality quality=OSGPrimitive::Middle)
| provided for convenience to supply color as name and alpha independently
virtual void | init (const OdeHandle &odeHandle, const OsgHandle &osgHandle)
virtual void | deleteObject ()
| deletes the object
virtual void | update ()
| update graphics here

## Detailed Description

holding a temporary graphical item

## Constructor & Destructor Documentation

TmpDisplayItem | ( | OSGPrimitive * | p,
|  | const Pose & | pose,
|  | const Color & | color,
|  | OSGPrimitive::Quality | quality = `OSGPrimitive::Middle` |
| ) |  |  |

creates a new item from the given primitives and initializes it.

The lifetime is set when adding it to globalData

TmpDisplayItem | ( | OSGPrimitive * | p,
|  | const Pose & | pose,
|  | const std::string & | colorname,
|  | float | alpha = `1.0`,
|  | OSGPrimitive::Quality | quality = `OSGPrimitive::Middle` |
| ) |  |  |

provided for convenience to supply color as name and alpha independently

## Member Function Documentation

void deleteObject | ( |  | ) | `[virtual]`

deletes the object

Implements TmpObject.

void init | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle |
| ) |  |  | `[virtual]`

Implements TmpObject.

virtual void update | ( |  | ) | `[inline, virtual]`

update graphics here

Implements TmpObject.

The documentation for this class was generated from the following files:

- tmpprimitive.h
- tmpprimitive.cpp